import java.io.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.image.*;
import java.awt.image.renderable.*;
import javax.media.jai.*;

/**
 * A subclass of JInternalFrame that contains
 * a RenderedImage.
 */
class ImageInternalFrame extends JInternalFrame {

        protected RenderedImage image;
        private ImageViewer parent;
        private int index;
        private String scaleFactor;

	public ImageInternalFrame(String title, boolean resizable,
                                    boolean closable, boolean maximizable,
                                     boolean iconifiable, int _index,
                                      ImageViewer imageViewer) {

        	super(title, resizable, closable, maximizable, iconifiable);
        	parent = imageViewer;
		index = _index;
		scaleFactor = "1x";
		addInternalFrameListener(
			     new InternalFrameAdapter() {
				public void internalFrameClosing(InternalFrameEvent e) {
                                	parent.decrementOpenFrameCount();
				}
				public void internalFrameActivated(InternalFrameEvent e) {
                                        parent.updateSelectedFrame(index, scaleFactor);
                                }
			     }
		);

        }

	public RenderedImage getImage() {

		return image;

	}

        public void setImage(RenderedImage im) {

        	image = im;

        }

        public int getIndex() {

        	return index;

        }

        public String getScaleFactor() {

		return scaleFactor;

        }

        public void setScaleFactor(String s) {

        	scaleFactor = s;

        }

}
